/******************************************************************************
*
*  (C)Copyright All Rights Reserved by Telechips Inc.
*                                   
*  This material is confidential and shall remain as such. 
*  Any unauthorized use, distribution, reproduction is strictly prohibited. 
*
*   FileName    : tcc_aspect_ratio.h
*   Description : 
*   TCC Version 1.0
*   Copyright (c) Telechips, Inc.
*   ALL RIGHTS RESERVED
*******************************************************************************/
#ifndef	_TCC_ASPECT_RATIO_H__
#define	_TCC_ASPECT_RATIO_H__


/******************************************************************************
* include 
******************************************************************************/



/******************************************************************************
* defines 
******************************************************************************/
/* for display mode */
enum {	
	FBSINK_MODE_INIT = 0,
	FBSINK_MODE_STANDARD,
	FBSINK_MODE_FULL,
	FBSINK_MODE_ZOOM,
	FBSINK_MODE_ORIGINAL,
	FBSINK_MODE_16_9,
	FBSINK_MODE_4_3,
	FBSINK_MODE_ACTUAL,
	FBSINK_MODE_DVDZOOMX2,
	FBSINK_MODE_DVDZOOMX3,
	FBSINK_MODE_DVDZOOMX4,
	FBSINK_MODE_DVDZOOMX9,
	FBSINK_MODE_DVDPANSCAN,	
	FBSINK_MODE_LCD, 	
	FBSINK_MODE_TVOUT,
	FBSINK_MODE_END
};



/******************************************************************************
* typedefs & structure
******************************************************************************/




/******************************************************************************
* globals
******************************************************************************/


/******************************************************************************
* locals
******************************************************************************/

/******************************************************************************
* declarations
******************************************************************************/
void TCC_Aspect_Ratio_Calculate_Image(int OriginImg_Width, int OriginImg_Height, int OutBuff_Width, int OutBuff_Height, 
							int *Out_Width, int *Out_Height, int *Out_Offset_Horizontal, int *Out_Offset_Vertical, unsigned int ScreenMode);


#endif //_TCC_ASPECT_RATIO_H__
